<?php
	//application details
		$apps[$x]['name'] = 'LCR';
		$apps[$x]['uuid'] = 'e6492d53-b5f2-4a0b-b0ee-3306f24dc8c6';
		$apps[$x]['category'] = '';
		$apps[$x]['subcategory'] = '';
		$apps[$x]['version'] = '';
		$apps[$x]['license'] = 'Mozilla Public License 1.1';
		$apps[$x]['url'] = 'http://www.fusionpbx.com';
		$apps[$x]['description']['en-us'] = '';

	//menu details
		include_once('app_menu.php');

	//permission details
		$y = 0;
		$apps[$x]['permissions'][$y]['name'] = 'lcr_view';
                $apps[$x]['permissions'][$y]['menu']['uuid'] = "08d5a003-7d3d-4fb0-8586-6103cbfd7d98";
		$apps[$x]['permissions'][$y]['groups'][] = 'superadmin';
		$y++;
		$apps[$x]['permissions'][$y]['name'] = 'lcr_add';
		$apps[$x]['permissions'][$y]['groups'][] = 'superadmin';
		$y++;
		$apps[$x]['permissions'][$y]['name'] = 'lcr_edit';
		$apps[$x]['permissions'][$y]['groups'][] = 'superadmin';
		$y++;
		$apps[$x]['permissions'][$y]['name'] = 'lcr_delete';
		$apps[$x]['permissions'][$y]['groups'][] = 'superadmin';
		$y++;

	//schema details
		$y = 0; //table array index
		$z = 0; //field array index
		$apps[$x]['db'][$y]['table'] = 'v_lcr';
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'lcr_uuid';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'uuid';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'char(36)';
		$apps[$x]['db'][$y]['fields'][$z]['key'] = 'primary';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'carrier_uuid';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'uuid';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'char(36)';
		$apps[$x]['db'][$y]['fields'][$z]['key'] = 'foreign';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'digits';
		$apps[$x]['db'][$y]['fields'][$z]['type'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the matching digits.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'rate';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'numeric';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'numeric';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'float(11,5)';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the rate.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'intrastate_rate';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'numeric';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'numeric';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'float(11,5)';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the rate for intrastate calls.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'intralata_rate';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'numeric';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'numeric';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'float(11,5)';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the rate for intralata calls.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'lead_strip';
		$apps[$x]['db'][$y]['fields'][$z]['type'] = 'numeric';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the number of digits to strip off the front of the number.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'trail_strip';
		$apps[$x]['db'][$y]['fields'][$z]['type'] = 'numeric';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the number of digits to strip at the end of the number.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'prefix';
		$apps[$x]['db'][$y]['fields'][$z]['type'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the value to add to front of the number.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'suffix';
		$apps[$x]['db'][$y]['fields'][$z]['type'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the value to add to end of passed in number.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'lcr_profile';
		$apps[$x]['db'][$y]['fields'][$z]['type'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the LCR profile.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'date_start';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'timestamp';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'date';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'datetime';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the start date when this LCR entry becomes valid.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'date_end';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'timestamp';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'date';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'datetime';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the end data when this LCR entry becomes invalid.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'quality';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'numeric';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'numeric';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'float(10,6)';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the quality to order by.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'reliability';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'numeric';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'numeric';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'float(10,6)';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the reliability to order by.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'cid';
		$apps[$x]['db'][$y]['fields'][$z]['type'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the regular expression to modify the callers caller id number.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'enabled';
		$apps[$x]['db'][$y]['fields'][$z]['type'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Select to enable or disable this LCR entry.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'description';
		$apps[$x]['db'][$y]['fields'][$z]['type'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the description.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'connect_increment';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'integer';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'numeric';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'int(11)';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the connect increment.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'talk_increment';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'integer';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'numeric';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'int(11)';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the talk increment.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'lcr_direction';
		$apps[$x]['db'][$y]['fields'][$z]['type'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the call direction: local, inbound, outbound.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'currency';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'char(3)';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter 3 char currency name.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'connect_rate';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'numeric';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'numeric';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'float(11,5)';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the connection rate.';


		$z++; $y++;
		$apps[$x]['db'][$y]['table'] = 'v_carriers';
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'carrier_uuid';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'uuid';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'char(36)';
		$apps[$x]['db'][$y]['fields'][$z]['key'] = 'primary';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'carrier_name';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'char(36)';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'char(36)';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter carrier name.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'enabled';
		$apps[$x]['db'][$y]['fields'][$z]['type'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Select to enable or disable this Carrier entry.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'carrier_channels';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'integer';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'numeric';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'int(11)';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter the total channels of this carrier.';

		$z++; $y++;
		$apps[$x]['db'][$y]['table'] = 'v_carrier_gateways';
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'carrier_gateway_uuid';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'uuid';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'char(36)';
		$apps[$x]['db'][$y]['fields'][$z]['key'] = 'foreign';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'carrier_uuid';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'uuid';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'char(36)';
		$apps[$x]['db'][$y]['fields'][$z]['key'] = 'primary';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'prefix';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter prefix.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'suffix';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'char(36)';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter suffix.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'codec';
		$apps[$x]['db'][$y]['fields'][$z]['type']['pgsql'] = 'char(36)';
		$apps[$x]['db'][$y]['fields'][$z]['type']['sqlite'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['type']['mysql'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Enter codec.';
		$z++;
		$apps[$x]['db'][$y]['fields'][$z]['name'] = 'enabled';
		$apps[$x]['db'][$y]['fields'][$z]['type'] = 'text';
		$apps[$x]['db'][$y]['fields'][$z]['description']['en-us'] = 'Select to enable or disable this Carrier-GW entry.';
?>
